/*
 Write a simple comma seperated file to SD Card

*/

#include "simpletools.h"                      // Include simple tools
#include "FdSerial.h"                         // Add Steve(jazzed) FullDuplexSerial C version

int DO = 22, CLK = 23, DI = 24, CS = 25;
char myfilename[] = "MyData2.csv";
FILE* fp;
int RX = 5, TX = 4;                           // XBEE connected pins
//int RX = 9, TX = 8;                           // XBEE connected pins

int main()                                    // Main function
{
  int count = 0;
  int yval = 0;

  FdSerial_start(RX,TX,0,9600);              // Full Duplex serial to XBEE
  // Mount the filesystem
  sd_mount(DO, CLK, DI, CS);

  //putchar(CLS);         //<<== HAVING THIS LINE CAUSES SD CARD WRITES TO GO TO TERMINAL(stdout I guess)
  //If Project Manager -> Linker -> Tiny Lib is checked, then yes.

  pause(1000);
  printf("Press Enter to start...");
  // Wait for a key to be pressed on the terminal 
  char ch = getchar();

  // Write a text file
  fp = fopen(myfilename,"w");
  printf("Writing file\n"); 
  for(int idx = 0;idx < 11;idx++) 
  {
    count = idx;
    yval = 10 * count;
    fprintf(fp,"%d,%d\n",count,yval);
    //pause(500);
  }
  fclose(fp);
  printf("Done Writing File\n");

  // Read a text file
  fp = fopen(myfilename,"r");
  printf("Reading file\n"); 
  for(int idx = 0;idx < 11;idx++) 
  {
    fscanf(fp,"%d,%d",&count,&yval);
    printf("%d,%d\n",count,yval);
    pause(500);
  }
  fclose(fp);
  printf("Done Reading File\n");

  while(1);
}
